import org.junit.Rule;
import org.junit.Test;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.lang.reflect.Method;

import org.junit.contrib.java.lang.system.StandardOutputStreamLog;
import org.junit.rules.Timeout;

import static org.junit.Assert.assertEquals;

public class Aufgabe1Test {

    @Rule
    public final StandardOutputStreamLog log = new StandardOutputStreamLog();

    @Rule
    public Timeout globalTimeout = new Timeout(100);

    @Test
    public void testOutput() throws Exception {
        System.out.println();
        System.out.println("Test-Output zu Aufgabe1:");

        String[] testValues = new String[]{
                "",
                "Test-Output zu Aufgabe1:",
                "1",
                "1",
                "3",
                "5",
                "9",
                "15",
                "25",
                "41",
                "67",
                "109",
                "177",
                "287",
                "465",
                "753",
                "1219",
                "1973",
                "3193",
                "5167",
                "8361",
                "13529",
                "21891",
                "35421",
                "57313",
                "92735",
                "150049",
                "242785",
                "392835",
                "635621",
                "1028457",
                "1664079",
                "2692537",
                "4356617",
                "7049155",
                "11405773",
                "18454929",
                "29860703",
                "48315633",
                "78176337",
                "126491971",
                "204668309",
                "331160281",
                "535828591",
                "866988873",
                "1402817465",
                "2269806339",
                "3672623805",
                "5942430145",
                "9615053951",
                "15557484097",
                "25172538049",
                "40730022147",
                "1",
                "1",
                "3",
                "5",
                "9",
                "15",
                "25",
                "41",
                "67",
                "109",
                "177",
                "287",
                "465",
                "753",
                "1219",
                "1973",
                "3193",
                "5167",
                "8361",
                "13529",
                "21891",
                "35421",
                "57313",
                "92735",
                "150049",
                "242785",
                "392835",
                "635621",
                "1028457",
                "1664079",
                "2692537",
                "4356617",
                "7049155",
                "11405773",
                "18454929",
                "29860703",
                "48315633",
                "78176337",
                "126491971",
                "204668309",
                "331160281",
                "535828591",
                "866988873",
                "1402817465",
                "2269806339",
                "3672623805",
                "5942430145",
                "9615053951",
                "15557484097",
                "25172538049",
                "40730022147",
        };
        StringBuilder testString = new StringBuilder();
        for(String i: testValues) {
            testString.append(i).append(System.lineSeparator());
        }

        Aufgabe1.main(new String[]{});
        assertEquals(testString.toString(), log.getLog());
    }

}