import org.junit.Rule;
import org.junit.Test;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.lang.reflect.Method;

import org.junit.contrib.java.lang.system.StandardOutputStreamLog;
import org.junit.rules.Timeout;

import static org.junit.Assert.assertEquals;

public class Aufgabe4Test {

    @Rule
    public final StandardOutputStreamLog log = new StandardOutputStreamLog();

    @Rule
    public Timeout globalTimeout = new Timeout(100);

    @Test
    public void testOutput() throws Exception {
        System.out.println();
        System.out.println("Test-Output zu Aufgabe4:");

        String[] testValues = new String[]{
                "",
                "Test-Output zu Aufgabe4:",
                "Ergebnisse für f:",
                "0",
                "1",
                "2",
                "3",
                "4",
                "5",
                "6",
                "7",
                "8",
                "9",
                "10",
                "11",
                "12",
                "13",
                "14",
                "15",
                "16",
                "17",
                "18",
                "19",
                "20",
                "21",
                "22",
                "23",
                "24",
                "25",
                "26",
                "27",
                "28",
                "29",
                "30",
                "31",
                "32",
                "33",
                "34",
                "35",
                "36",
                "Ergebnisse für g:",
                "0",
                "Ergebnisse für h:",
                "1",
                "1",
                "0",
                "Ergebnisse für p:",
                "13",
                "11",
                "9",
                "7",
                "5",
                "3",
                "1",
                "0",
                "2",
                "4",
                "6",
                "8",
                "10",
                "12",
                "Ergebnisse für q:",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0",
                "0"
        };
        StringBuilder testString = new StringBuilder();
        for(String i: testValues) {
            testString.append(i).append(System.lineSeparator());
        }
        Aufgabe4.main(new String[]{});
        assertEquals(testString.toString(), log.getLog());
    }

}