/**********************************************************************************************************************

    AUFGABENBLATT F1 für fortgeschrittene Übungsgruppen - Allgemeine Informationen

    Das Projekt AufgabenblattF1 besteht aus fünf Aufgaben in den Klassen Aufgabe1 bis Aufgabe5, die Sie erweitern und
    in den Übungen vom 11.5. bis 13.5. präsentieren müssen, falls Sie in einer Übungsgruppe für Fortgeschrittene sind.
    Dazu zählen auch Teilnehmer(innen) an PP. Wenn Sie in einer normalen Übungsgruppe sind, müssen Sie stattdessen
    Aufgabenblatt4 lösen.

    Achten Sie bei der Implementierung von Aufgabe1 bis Aufgabe5 auf folgende Punkte:

    - Ändern Sie nur die Klassen Aufgabe1 bis Aufgabe5, lassen Sie alle anderen Klassen des Projekts unverändert.
    - Ihr Programm sollte den dazugehörenden Test (z.B. enthält Aufgabe1Test den Test zu Aufgabe1) bestehen.
    - Sie dürfen den Test zu einer Aufgabe nicht (!) verändern, da Sie sonst beim Übersetzen falsche Meldungen bekommen.
    - Bei jeder Aufgabe finden Sie Zusatzfragen. Diese Zusatzfragen beziehen sich thematisch auf das erstellte Programm.
      Sie müssen diese Zusatzfragen in der Übung beantworten können. Die Beantwortung von Zusatzfragen, die mit
      [optional] gekennzeichnet sind, ist (obwohl empfohlen) freiwillig und wird in der Übung nicht überprüft.
    - Verwenden Sie zur Ausgabe immer System.out.println().
    - Verwenden Sie keine speziellen Aufrufe aus der Java-API, die die Aufgaben vereinfachen würden.

    Abgabe:  Die Abgabe muss bis Sonntag, den 10.5. um 13:59 erfolgen. Alle Änderungen am Projekt in der
    Übungsumgebung, die bis zu diesem Zeitpunkt von Ihnen vorgenommen wurden, werden als Abgabe betrachtet.

***********************************************************************************************************************/

/*
    Aufgabe1) Mehrfache Rekursion versus einfache Iteration

    Implementieren Sie in Aufgabe1 je eine iterative (iter) und eine rekursive (rec) statische Methode, die für eine
    ganze nicht-negative Zahl n die Zahl L(n) berechnet. L(n) ist definiert durch:

        L(0) = 1
        L(1) = 1
        L(n) = L(n - 1) + L(n - 2) + 1  wenn  n > 1

    Rufen Sie in main die Methoden iter und rec mit allen Zahlen von 0 bis 50 auf und geben Sie die Ergebnisse aus.
    Ein Programmaufruf soll in weniger als einer Sekunde terminieren.

    Hinweis: Eine simple, nahe an die Definition angelehnte rekursive Implementierung kann sehr ineffizient werden.
    Suchen Sie daher nach einer effizienteren Implementierungsmöglichkeit, die jedoch ohne Schleifen auskommen muss.
    Sie können z.B. Hilfsmethoden (ohne Schleifen) und/oder ein Array verwenden.

    Zusatzfragen:
    1. Welche Vor- und Nachteile hat iter im Vergleich zu rec?
    2. Welcher elementare Typ ist als Ergebnistyp dieser Methoden geeignet? Warum nur dieser?
    3. Welche elementaren Typen sind als Parametertypen geeignet? Warum?
    4. Welche alternativen Implementierungstechniken würde es geben?
       Aufgrund welcher Tatsachen haben Sie die von Ihnen verwendete(n) Implementierungstechnik(en) gewählt?

*/
public class Aufgabe1 {

    // invokes iter as well as rec with all integers from 0 to 50 and prints the results
    // (without empty lines or other output)
    public static void main(String[] args) {
        // TODO: Implementation is your task
    }
}
